ListServices
Returns a paginated list of AWS service identifiers that you can use as values for the visibleServices setting in UpdateAccountCustomizations. The available services vary by AWS partition. Use pagination to retrieve all results.
Note
The visibleServices setting controls only the appearance of services in the AWS Management Console. It does not restrict access through the AWS CLI, SDKs, or other APIs.
Request Syntax
GET /v1/services?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
The maximum number of results to return per page.
Valid Range: Minimum value of 1. Maximum value of 1000.
- nextToken
-
The token for retrieving the next page of results. Use the
nextTokenvalue from a previous response.Length Constraints: Minimum length of 32. Maximum length of 512.
Pattern:
[-A-Za-z0-9+/_]+=*
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"services": [ "string" ]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The token for retrieving the next page of results. This value is
nullwhen no more results are available.Type: String
Length Constraints: Minimum length of 32. Maximum length of 512.
Pattern:
[-A-Za-z0-9+/_]+=* - services
-
The list of available AWS service identifiers.
Type: Array of strings
Array Members: Minimum number of 0 items. Maximum number of 500 items.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+(-[a-z0-9]+)*
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have sufficient access to perform this operation. Verify that your IAM policy includes the required
uxc:permissions for the operation that you are calling. For more information on IAM permissions, see AWS managed policies for AWS Management Console.HTTP Status Code: 403
- InternalServerException
-
The service encountered an internal error. Try your request again later.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied because of request throttling. Reduce the frequency of your requests.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
- fieldList
-
The list of fields that are invalid.
HTTP Status Code: 400
Examples
List available service identifiers
The following example retrieves the first page of available service identifiers with a maximum of three results per page. The nextToken value in the response indicates that additional results are available.
Sample Request
GET /v1/services?maxResults=3 HTTP/1.1
Host: uxc.us-east-1.amazonaws.com
Content-type: application/json
Sample Response
HTTP/1.1 200 OK
Content-type: application/json
{
"services": ["dynamodb", "ec2", "fargate"],
"nextToken": "eyJpZCI6MTIzfQ=="
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: